List Group Connections by Group
curl --request GET \
--url https://fulfillment.noyo.com/api/v1/groups/{group_id}/group_connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://fulfillment.noyo.com/api/v1/groups/{group_id}/group_connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fulfillment.noyo.com/api/v1/groups/{group_id}/group_connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"offset": 0,
"page_num": 1,
"page_size": 20,
"total_records": 1
},
"response": [
{
"carrier_id": "8fac0992-933a-4743-8dab-0d606ef2569e",
"completed": 1557392400,
"created": 1557329939,
"group_data": {
"carrier_group_id": "10000000",
"group_name": "Test Company"
},
"id": "dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1",
"modified": 1557392400,
"organization_id": "d61fa455-adf4-4dc4-8c57-6d779ba9475e",
"request_type": "initial",
"status": "processing",
"version": "9906b5d2-e76d-4bad-ba4c-8ce90b6b867b"
}
]
}Connections
Get Group Connection Request List by Group
Returns a list of all group connections for a given group ID.
GET
/
api
/
v1
/
groups
/
{group_id}
/
group_connections
List Group Connections by Group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the associated group in Noyo
Example:
"2ce3b54a-2535-4803-b218-e6b44081d418"
Query Parameters
The max size of each page of results
The integer offset at which to start the page. Possible values are 0 to total_records - 1
The attribute on which to sort the group connections
Either asc or desc, to denote the data's direction
Status of group connection for which you would like to filter. Multiple statuses can be used, separated by a comma.
Was this page helpful?
